@import '../../../assets/styles/general';
@import '../../../assets/styles/layout';
@import '../../../assets/styles/button';
@import '../../../assets/styles/card';
@import '../../../assets/styles/input';

:host {
  display: flex;
  flex-direction: column;
  width: 100vw;
  max-width: 100vw;
  min-height: 100vh;
  background-image: url('../../../assets/images/addPost-background.svg');
  background-size: cover;
  background-position: center;
  background-repeat: no-repeat;
  background-color: rgba(255, 255, 255, 0.4);
  background-blend-mode: overlay;

}

mat-card {
  margin: 10px;
}

mat-form-field {
  width: 100%;
  margin-bottom: 30px;
}

input-file {
  display: block;
  direction: rtl;
}

input-file /deep/ label {
  right: 0;
  font-size: $text-size-sm !important;
  font-family: iranSans;
}
@media screen and (min-width: 450px) and (max-width: 768px) {
  mat-card {
    margin: 25px;
  }

  mat-form-field {
    margin-bottom: 40px;

  }

  mat-form-field:first-of-type {
    max-width: 400px;
  }

  input-file /deep/ label {
    font-size: $text-size-m !important;
  }
}
@media screen and (min-width: 769px) and (max-width: 992px) {
  mat-card {
    margin: 35px;
  }

  mat-form-field {
    margin-bottom: 45px;

  }

  mat-form-field:first-of-type {
    max-width: 400px;
  }

  input-file /deep/ label {
    font-size: $text-size-lg !important;
  }
}
@media screen and (min-width: 992px) and (max-width: 1200px) {
  mat-card {
    margin: 45px;
  }

  mat-form-field {
    margin-bottom: 50px;

  }

  mat-form-field:first-of-type {
    max-width: 400px;
  }

  input-file /deep/ label {
    font-size: $text-size-xlg !important;
  }
}
@media screen and (min-width: 1200px) {
  mat-card {
    margin: 45px;
  }

  mat-form-field {
    margin-bottom: 50px;

  }

  mat-form-field:first-of-type {
    max-width: 400px;
  }

  input-file /deep/ label {
    font-size: $text-size-xlg !important;
  }
}
